Locale::getDisplayRegion
Locale::getDisplayVariant
Locale
PHP Manual

# Locale::getDisplayScript

# locale_get_display_script

(No version information available, might be only in CVS)

Locale::getDisplayScript -- locale_get_display_script — Returns an appropriately localized display name for script of the input locale

### Description

Object oriented style

static string Locale::getDisplayScript ( string `$locale` [, string `$in_locale` ] )

Procedural style

string locale_get_display_script ( string `$locale` [, string `$in_locale` ] )

Returns an appropriately localized display name for script of the input locale. If is `NULL` then the default locale is used.

### Parameters

`locale`

  The locale to return a display script for

`in_locale`

  Optional format locale to use to display the script name

### Return Values

Display name of the script for the $locale in the format appropriate for $in_locale.

### Examples

Example #1 locale_get_display_script() example

`<?php
echo locale_get_display_script('sl-Latn-IT-nedis', 'en');
echo ";\n";
echo locale_get_display_script('sl-Latn-IT-nedis', 'fr');
echo ";\n";
echo locale_get_display_script('sl-Latn-IT-nedis', 'de');
?>`

Example #2 OO example

`<?php
echo Locale::getDisplayScript('sl-Latn-IT-nedis', 'en');
echo ";\n";
echo Locale::getDisplayScript('sl-Latn-IT-nedis', 'fr');
echo ";\n";
echo Locale::getDisplayScript('sl-Latn-IT-nedis', 'de');
?>`

The above example will output:

    Latin;
    latin;
    Lateinisch

### See Also

- locale_get_display_name()
- locale_get_display_language()
- locale_get_display_region()
- locale_get_display_variant()

Locale::getDisplayRegion
Locale::getDisplayVariant
Locale
PHP Manual